[<img src="https://user-images.githubusercontent.com/128341688/227227781-ffabe93e-4ed5-439d-b789-5a9dc6eaea99.png" width="100%" alt="React Native Header by Codeherence">](https://codeherence.com)

# React Native Header

React Native Header is a high-performance, cross-platform animated header component for React Native applications. It provides an easy-to-use interface for developers to quickly create beautiful and dynamic navigation headers.

| Android/iOS/Web |
| ------------- |
| <img src="https://github.com/codeherence/react-native-header/assets/128341688/b465a0f5-ce06-46a7-9894-849db698b66b" alt="iOS React Native Header Showcase" width="100%"> |

## Features

- Maintains a similar experience between **iOS**, **Android**, and **Web**.
- Uses Reanimated for better animation performance
- Works with [ScrollView](https://reactnative.dev/docs/scrollview), [FlatList](https://reactnative.dev/docs/flatlist), and [SectionList](https://reactnative.dev/docs/sectionlist)
- Compatible with [Expo Go](https://docs.expo.dev/) and bare [React Native](https://github.com/react-native-community/cli) projects
- Works with Shopify's [FlashList](https://shopify.github.io/flash-list/)
- Written in TypeScript

## Showcase

To quickly see the library in action, check out the [Snack](https://snack.expo.dev/@eyounan/react-native-header-example) or scan the QR code to open the example application on your device.

[<img src="https://github.com/codeherence/react-native-header/assets/128341688/e5410e84-e938-4268-976b-ce205e53d6d0" width="30%" alt="Open Snack">](https://snack.expo.dev/@eyounan/react-native-header-example)

## Documentation

The documentation for this library can be found at [here](https://react-native-header.codeherence.com).

## Contributing

See the [contributing guide](CONTRIBUTING.md) to learn how to contribute to the repository and the development workflow.

## License

MIT

---

Made with [create-react-native-library](https://github.com/callstack/react-native-builder-bob)
