"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FadingView = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    children,
    style,
    opacity,
    animatedProps = {},
    opacityThresholdToEnablePointerEvents = 1,
    ...rest
  } = _ref;
  const _animatedProps = (0, _reactNativeReanimated.useAnimatedProps)(() => {
    const _pointerEvents = opacity.value >= opacityThresholdToEnablePointerEvents ? 'auto' : 'none';
    return {
      pointerEvents: _pointerEvents
    };
  }, [opacityThresholdToEnablePointerEvents]);
  const fadeStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    opacity: opacity.value
  }));
  return /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, _extends({
    ref: ref,
    style: [styles.container, style, fadeStyle],
    animatedProps: {
      ..._animatedProps,
      ...animatedProps
    }
  }, rest), children);
});
var _default = FadingView;
exports.default = _default;
const styles = _reactNative.StyleSheet.create({
  container: {
    opacity: 0
  }
});
//# sourceMappingURL=FadingView.js.map